Skip to main content
GET
/
v1
/
offers
List offers for the authenticated partner
curl --request GET \
  --url https://api.coinlist.co/v1/offers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "05edea81-98a7-4582-aa7c-040d57cb1858",
      "object": "offer",
      "slug": "example-offer",
      "banner_url": "<string>",
      "ends_at": "2025-01-01T00:00:00.000000Z",
      "logo_url": "<string>",
      "starts_at": "2025-01-01T00:00:00.000000Z",
      "tagline": "Example Offer Tagline"
    }
  ],
  "object": "list",
  "starting_after": "g3QAAAA...",
  "starting_before": "g3QAAAA..."
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinlist.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization and token endpoints

Query Parameters

starting_after
string

Cursor for the next page

starting_before
string

Cursor for the previous page

limit
integer

Number of items to return

sandbox
boolean

When true, includes sandbox offer options in the response. Default: false.

Response

Successful response.

data
Offer · object[]
required
object
enum<string>
required

String representing the object's type. Objects of the same type share the same value.

Available options:
list
starting_after
string

String representing the page cursor to used for querying the next page.

Example:

"g3QAAAA..."

starting_before
string

String representing the page cursor to used for querying the previous page.

Example:

"g3QAAAA..."